# game.py
import upygame as upg
import umachine
import rex
import obstacles
import land


class Game():
    
    def __init__(self):
        #print("GAME")
        REX_MAX_Y = 70
        OBSTACLES_MAX_Y = 70
        LAND_MAX_Y = 64
        self.trex = rex.Rex(REX_MAX_Y)
        self.obs = obstacles.Obstacles(OBSTACLES_MAX_Y)
        self.lnd = land.Land(LAND_MAX_Y)
    
    def Run(self,screen,gd):
        
        #manage inputs
        eventtype = upg.event.poll()
        if eventtype != upg.NOEVENT:
            if eventtype.type== upg.KEYDOWN:
                if eventtype.key == upg.K_UP:
                    self.trex.commandUp(True)
                if eventtype.key == upg.K_DOWN:
                    self.trex.commandDown(True)
            if eventtype.type == upg.KEYUP:
                if eventtype.key == upg.K_UP:
                    self.trex.commandUp(False)
                if eventtype.key == upg.K_DOWN:
                    self.trex.commandDown(False)
        
        #score
        gd.score += 1
        if (gd.score % 500 == 0):
            gd.speed += 1
           
        #draw score
        umachine.draw_text(70,4,str(gd.score),3)
    
        self.lnd.update(gd.speed)
        self.lnd.draw(screen)
        
        self.obs.update(gd.speed)
        self.obs.draw(screen)
        
        self.trex.update()
        self.trex.draw(screen)
    
        #exit condition    
        return self.obs.checkCollision(self.trex.rect)

    
    
    
    