# terrain.py
import upygame as upg
import urandom as random

terrainPixels1 = b'\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\xcc\xcc\xcc\xcc\
'

terrainPixels2 = b'\
\x00\x00\x00\x00\x00\x00\x00\x00\
\x00\x00\xcc\xcc\x00\x00\x00\x00\
\x00\xcc\xc0\x0c\xcc\x00\x00\x00\
\xcc\xc0\x00\x00\x0c\xcc\xcc\xcc\
'

terrainPixels3 = b'\
\x00\x00\x00\x00\xcc\xc0\x00\x00\
\x00\x00\x00\x0c\xc0\xcc\x00\x00\
\x00\x00\x00\xcc\x00\x0c\xc0\x00\
\x00\x00\xcc\xc0\x00\x00\xcc\x00\
\x00\x0c\xc0\x00\x00\x00\x0c\xc0\
\x00\xcc\x00\x00\x00\x00\x00\xcc\
\x0c\xc0\x00\x00\x00\x00\x00\x0c\
\xcc\x00\x00\x00\x00\x00\x00\x0c\
'

terrainPixels4 = b'\
\x00\x00\x00\x00\x00\x00\x00\x00\
\x00\x00\xcc\x00\x00\x00\x00\x00\
\x00\x0c\x00\xc0\x00\x00\x00\x00\
\x00\xc0\x00\x0c\x00\x00\xcc\xc0\
\x0c\x00\x00\x00\xcc\xcc\x00\x0c\
\xc0\x00\x00\x00\x00\x00\x00\x0c\
'

sf_tr_1 = upg.surface.Surface(8, 4, terrainPixels1)
sf_tr_2 = upg.surface.Surface(16, 4, terrainPixels2)
sf_tr_3 = upg.surface.Surface(16, 8, terrainPixels3)
sf_tr_4 = upg.surface.Surface(16, 6, terrainPixels4)

class Land():
    def __init__(self,LAND_MAX_Y):
        self.xOff = 0
        self.LAND_MAX_Y = LAND_MAX_Y
        self.lands = []
        for i in range(20):
            rndLand = random.getrandbits(8)
            sfLand = sf_tr_1
            if (0 < rndLand < 150):
                sfLand = sf_tr_1
            if (150 < rndLand < 200):
                sfLand = sf_tr_2
            if (200 < rndLand < 220):
                sfLand = sf_tr_3
            if (220 < rndLand < 256):
                sfLand = sf_tr_4
            self.lands.append(sfLand)
            
    
    def update(self,speed):
        self.xOff -= (speed // 2)
        landWidth = self.lands[0].get_rect().width
        if (self.xOff < -landWidth ): #if out of screen remove and place at end
            self.lands.append(self.lands[0])
            self.lands.pop(0)
            self.xOff = self.xOff + landWidth
            
    
    def draw(self,screen):
        x = self.xOff
        y = self.LAND_MAX_Y
        for l in self.lands:
            rect = l.get_rect()
            screen.blit(l, x, y - rect.height) 
            x += rect.width
        
